## Job Job |

## Synopsis

    #include <libxfprint/libxfprint.h>

                        Job;
    enum                JobState;
    void                job_free                            (Job *job);
    void                jobs_free                           (GList *jobs);

## Description

## Details

### Job

    typedef struct {
      gchar *name;
      guint id;
      gchar *user;
      JobState state;
      guint size;
      guint priority;
      gchar *creation_time;
      gchar *processing_time;
    } Job;

### enum JobState

    typedef enum
    {
      JOB_STATE_PENDING,
      JOB_STATE_PRINTING,
    } JobState;

### job_free ()

    void                job_free                            (Job *job);

`job` : |

### jobs_free ()

    void                jobs_free                           (GList *jobs);

`jobs` : |